<?php
// Author: Kenneth C.K. Leung
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: networkerHandler.php,v 1.6.2.1 2002/02/21 23:56:19 bservies Exp $

include_once("ServerScriptHelper.php");
include_once("User.php");
include_once("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$product = $serverScriptHelper->getProductCode();

$isMonterey = ereg("35[0-9][0-9]R", $product);
if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
	$serverScriptHelper->destructor();
	header("location: /.cobalt/error/forbidden.html");
	return;
}

$enabled = 0;
if ($enableServer) {
	$enabled = 1;
}

$cceClient->setObject("System", 
			array(
				"enabled" => $enabled,
				"lgNetWorkerHost" => $lgNetWorkerHostField,
				"servicePortLow" => $low_servPorts,
				"servicePortHigh" => $high_servPorts,
				"connPortLow" => $low_connPorts,
				"connPortHigh" => $high_connPorts
			), 
			"NetWorker"
			);

$errors = $cceClient->errors();
print($serverScriptHelper->toHandlerHtml("/legato/networker/networker.php",
    $errors));

$serverScriptHelper->destructor();
?>


